Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# os_netdb.h File Reference

`#include "ace/config-all.h"`
`#include "ace/os_include/netinet/os_in.h"`
`#include "ace/os_include/os_limits.h"`

Include dependency graph for os_netdb.h:

This graph shows which files directly or indirectly include this file:

## Defines
#define | ACE_HOSTENT_DATA_SIZE (4*1024)
#define | ACE_SERVENT_DATA_SIZE (4*1024)
#define | ACE_PROTOENT_DATA_SIZE (2*1024)
#define | MAXHOSTNAMELEN HOST_NAME_MAX
## Typedefs
typedef char | ACE_HOSTENT_DATA [ACE_HOSTENT_DATA_SIZE]
typedef char | ACE_SERVENT_DATA [ACE_SERVENT_DATA_SIZE]
typedef char | ACE_PROTOENT_DATA [ACE_PROTOENT_DATA_SIZE]

## Detailed Description

definitions for network database operations

Id
  os_netdb.h,v 1.6 2006/01/04 08:29:22 jwillemsen Exp

Author:
  Don Hinton <dhinton@dresystems.com>

  This code was originally in various places including ace/OS.h.

## Define Documentation

#define ACE_HOSTENT_DATA_SIZE (4*1024)

#define ACE_PROTOENT_DATA_SIZE (2*1024)

#define ACE_SERVENT_DATA_SIZE (4*1024)

#define MAXHOSTNAMELEN HOST_NAME_MAX

## Typedef Documentation

typedef char ACE_HOSTENT_DATA[ACE_HOSTENT_DATA_SIZE]

typedef char ACE_PROTOENT_DATA[ACE_PROTOENT_DATA_SIZE]

typedef char ACE_SERVENT_DATA[ACE_SERVENT_DATA_SIZE]